configure
changeset 6378 58c9e692aec5
parent 6365 975e23e06124
child 6442 2d3caa191dc4
     1.1 --- a/configure	Fri Jul 20 15:22:48 2012 -0300
     1.2 +++ b/configure	Fri Jul 20 12:57:25 2012 -0700
     1.3 @@ -15553,7 +15553,7 @@
     1.4  #AX_GCC_ARCHFLAG([no], [BASE_CFLAGS="$BASE_CFLAGS $ax_cv_gcc_archflag]")
     1.5  BUILD_CFLAGS="$CFLAGS $CPPFLAGS -DUSING_GENERATED_CONFIG_H"
     1.6  # The default optimization for SDL is -O3 (Bug #31)
     1.7 -if test x$orig_CFLAGS = x; then
     1.8 +if test "x$orig_CFLAGS" = x; then
     1.9      BUILD_CFLAGS=`echo $BUILD_CFLAGS | sed 's/-O2/-O3/'`
    1.10  fi
    1.11  EXTRA_CFLAGS="$INCLUDE $BASE_CFLAGS"
    1.12 @@ -24873,133 +24873,54 @@
    1.13              { echo "$as_me:$LINENO: result: $has_pthread_spin_trylock" >&5
    1.14  echo "${ECHO_T}$has_pthread_spin_trylock" >&6; }
    1.15  
    1.16 -            if test "${ac_cv_header_pthread_np_h+set}" = set; then
    1.17 -  { echo "$as_me:$LINENO: checking for pthread_np.h" >&5
    1.18 +            { echo "$as_me:$LINENO: checking for pthread_np.h" >&5
    1.19  echo $ECHO_N "checking for pthread_np.h... $ECHO_C" >&6; }
    1.20  if test "${ac_cv_header_pthread_np_h+set}" = set; then
    1.21    echo $ECHO_N "(cached) $ECHO_C" >&6
    1.22 +else
    1.23 +  cat >conftest.$ac_ext <<_ACEOF
    1.24 +/* confdefs.h.  */
    1.25 +_ACEOF
    1.26 +cat confdefs.h >>conftest.$ac_ext
    1.27 +cat >>conftest.$ac_ext <<_ACEOF
    1.28 +/* end confdefs.h.  */
    1.29 + #include <pthread.h>
    1.30 +
    1.31 +#include <pthread_np.h>
    1.32 +_ACEOF
    1.33 +rm -f conftest.$ac_objext
    1.34 +if { (ac_try="$ac_compile"
    1.35 +case "(($ac_try" in
    1.36 +  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
    1.37 +  *) ac_try_echo=$ac_try;;
    1.38 +esac
    1.39 +eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
    1.40 +  (eval "$ac_compile") 2>conftest.er1
    1.41 +  ac_status=$?
    1.42 +  grep -v '^ *+' conftest.er1 >conftest.err
    1.43 +  rm -f conftest.er1
    1.44 +  cat conftest.err >&5
    1.45 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    1.46 +  (exit $ac_status); } && {
    1.47 +	 test -z "$ac_c_werror_flag" ||
    1.48 +	 test ! -s conftest.err
    1.49 +       } && test -s conftest.$ac_objext; then
    1.50 +  ac_cv_header_pthread_np_h=yes
    1.51 +else
    1.52 +  echo "$as_me: failed program was:" >&5
    1.53 +sed 's/^/| /' conftest.$ac_ext >&5
    1.54 +
    1.55 +	ac_cv_header_pthread_np_h=no
    1.56 +fi
    1.57 +
    1.58 +rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
    1.59  fi
    1.60  { echo "$as_me:$LINENO: result: $ac_cv_header_pthread_np_h" >&5
    1.61  echo "${ECHO_T}$ac_cv_header_pthread_np_h" >&6; }
    1.62 -else
    1.63 -  # Is the header compilable?
    1.64 -{ echo "$as_me:$LINENO: checking pthread_np.h usability" >&5
    1.65 -echo $ECHO_N "checking pthread_np.h usability... $ECHO_C" >&6; }
    1.66 -cat >conftest.$ac_ext <<_ACEOF
    1.67 -/* confdefs.h.  */
    1.68 -_ACEOF
    1.69 -cat confdefs.h >>conftest.$ac_ext
    1.70 -cat >>conftest.$ac_ext <<_ACEOF
    1.71 -/* end confdefs.h.  */
    1.72 -$ac_includes_default
    1.73 -#include <pthread_np.h>
    1.74 -_ACEOF
    1.75 -rm -f conftest.$ac_objext
    1.76 -if { (ac_try="$ac_compile"
    1.77 -case "(($ac_try" in
    1.78 -  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
    1.79 -  *) ac_try_echo=$ac_try;;
    1.80 -esac
    1.81 -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
    1.82 -  (eval "$ac_compile") 2>conftest.er1
    1.83 -  ac_status=$?
    1.84 -  grep -v '^ *+' conftest.er1 >conftest.err
    1.85 -  rm -f conftest.er1
    1.86 -  cat conftest.err >&5
    1.87 -  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    1.88 -  (exit $ac_status); } && {
    1.89 -	 test -z "$ac_c_werror_flag" ||
    1.90 -	 test ! -s conftest.err
    1.91 -       } && test -s conftest.$ac_objext; then
    1.92 -  ac_header_compiler=yes
    1.93 -else
    1.94 -  echo "$as_me: failed program was:" >&5
    1.95 -sed 's/^/| /' conftest.$ac_ext >&5
    1.96 -
    1.97 -	ac_header_compiler=no
    1.98 -fi
    1.99 -
   1.100 -rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
   1.101 -{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
   1.102 -echo "${ECHO_T}$ac_header_compiler" >&6; }
   1.103 -
   1.104 -# Is the header present?
   1.105 -{ echo "$as_me:$LINENO: checking pthread_np.h presence" >&5
   1.106 -echo $ECHO_N "checking pthread_np.h presence... $ECHO_C" >&6; }
   1.107 -cat >conftest.$ac_ext <<_ACEOF
   1.108 -/* confdefs.h.  */
   1.109 -_ACEOF
   1.110 -cat confdefs.h >>conftest.$ac_ext
   1.111 -cat >>conftest.$ac_ext <<_ACEOF
   1.112 -/* end confdefs.h.  */
   1.113 -#include <pthread_np.h>
   1.114 -_ACEOF
   1.115 -if { (ac_try="$ac_cpp conftest.$ac_ext"
   1.116 -case "(($ac_try" in
   1.117 -  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
   1.118 -  *) ac_try_echo=$ac_try;;
   1.119 -esac
   1.120 -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
   1.121 -  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
   1.122 -  ac_status=$?
   1.123 -  grep -v '^ *+' conftest.er1 >conftest.err
   1.124 -  rm -f conftest.er1
   1.125 -  cat conftest.err >&5
   1.126 -  echo "$as_me:$LINENO: \$? = $ac_status" >&5
   1.127 -  (exit $ac_status); } >/dev/null && {
   1.128 -	 test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
   1.129 -	 test ! -s conftest.err
   1.130 -       }; then
   1.131 -  ac_header_preproc=yes
   1.132 -else
   1.133 -  echo "$as_me: failed program was:" >&5
   1.134 -sed 's/^/| /' conftest.$ac_ext >&5
   1.135 -
   1.136 -  ac_header_preproc=no
   1.137 -fi
   1.138 -
   1.139 -rm -f conftest.err conftest.$ac_ext
   1.140 -{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
   1.141 -echo "${ECHO_T}$ac_header_preproc" >&6; }
   1.142 -
   1.143 -# So?  What about this header?
   1.144 -case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
   1.145 -  yes:no: )
   1.146 -    { echo "$as_me:$LINENO: WARNING: pthread_np.h: accepted by the compiler, rejected by the preprocessor!" >&5
   1.147 -echo "$as_me: WARNING: pthread_np.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
   1.148 -    { echo "$as_me:$LINENO: WARNING: pthread_np.h: proceeding with the compiler's result" >&5
   1.149 -echo "$as_me: WARNING: pthread_np.h: proceeding with the compiler's result" >&2;}
   1.150 -    ac_header_preproc=yes
   1.151 -    ;;
   1.152 -  no:yes:* )
   1.153 -    { echo "$as_me:$LINENO: WARNING: pthread_np.h: present but cannot be compiled" >&5
   1.154 -echo "$as_me: WARNING: pthread_np.h: present but cannot be compiled" >&2;}
   1.155 -    { echo "$as_me:$LINENO: WARNING: pthread_np.h:     check for missing prerequisite headers?" >&5
   1.156 -echo "$as_me: WARNING: pthread_np.h:     check for missing prerequisite headers?" >&2;}
   1.157 -    { echo "$as_me:$LINENO: WARNING: pthread_np.h: see the Autoconf documentation" >&5
   1.158 -echo "$as_me: WARNING: pthread_np.h: see the Autoconf documentation" >&2;}
   1.159 -    { echo "$as_me:$LINENO: WARNING: pthread_np.h:     section \"Present But Cannot Be Compiled\"" >&5
   1.160 -echo "$as_me: WARNING: pthread_np.h:     section \"Present But Cannot Be Compiled\"" >&2;}
   1.161 -    { echo "$as_me:$LINENO: WARNING: pthread_np.h: proceeding with the preprocessor's result" >&5
   1.162 -echo "$as_me: WARNING: pthread_np.h: proceeding with the preprocessor's result" >&2;}
   1.163 -    { echo "$as_me:$LINENO: WARNING: pthread_np.h: in the future, the compiler will take precedence" >&5
   1.164 -echo "$as_me: WARNING: pthread_np.h: in the future, the compiler will take precedence" >&2;}
   1.165 -
   1.166 -    ;;
   1.167 -esac
   1.168 -{ echo "$as_me:$LINENO: checking for pthread_np.h" >&5
   1.169 -echo $ECHO_N "checking for pthread_np.h... $ECHO_C" >&6; }
   1.170 -if test "${ac_cv_header_pthread_np_h+set}" = set; then
   1.171 -  echo $ECHO_N "(cached) $ECHO_C" >&6
   1.172 -else
   1.173 -  ac_cv_header_pthread_np_h=$ac_header_preproc
   1.174 -fi
   1.175 -{ echo "$as_me:$LINENO: result: $ac_cv_header_pthread_np_h" >&5
   1.176 -echo "${ECHO_T}$ac_cv_header_pthread_np_h" >&6; }
   1.177 -
   1.178 -fi
   1.179  if test $ac_cv_header_pthread_np_h = yes; then
   1.180    have_pthread_np_h=yes
   1.181 +else
   1.182 +  have_pthread_np_h=no
   1.183  fi
   1.184  
   1.185